GLS ShipIT 5.0.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedService Class Reference

## Public Member Functions
ProductType | getProductName ()
void | setProductName (ProductType value)
String | getServiceName ()
void | setServiceName (String value)

## Protected Attributes
ProductType | productName
String | serviceName

## Detailed Description

Allowed services objects f.e. Parcel -> cash, ident, ...

Java class for AllowedService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="AllowedService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <choice>
            <element name="ProductName" type="{http://fpcs.gls-group.eu/v1/Common}ProductType"/>
            <element name="ServiceName" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ServiceType"/>
          </choice>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedService.java.

## Member Function Documentation

## ◆ getProductName()

ProductType eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedService.getProductName | ( |  | ) |

Gets the value of the productName property.

Returns
  possible object is ProductType

Definition at line 58 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedService.java.

## ◆ getServiceName()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 82 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedService.java.

## ◆ setProductName()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedService.setProductName | ( | ProductType | value | ) |

Sets the value of the productName property.

Parameters

  value | allowed object is ProductType

Definition at line 70 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedService.java.

## ◆ setServiceName()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 94 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedService.java.

## Member Data Documentation

## ◆ productName

ProductType eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedService.productName
| protected

Definition at line 46 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedService.java.

## ◆ serviceName

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedService.serviceName
| protected

Definition at line 48 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedService.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/AllowedService.java